Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 2828)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 2829)
@@ -52,9 +52,12 @@
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenLocalizedWebPage"; //$NON-NLS-1$
 
-	public static final String URL_TEXTOMETRIE = "https://txm.gitpages.huma-num.fr/textometrie/";
-	public static final String URL_SFWEB = URL_TEXTOMETRIE + "html/";
-	public static final String URL_SFFILES = URL_TEXTOMETRIE + "files/";
+	public static final String GITLAB = "https://txm.gitpages.huma-num.fr/";
+	public static final String URL_TEXTOMETRIE = GITLAB+"textometrie/";
+	public static final String URL_TXMMANUAL = GITLAB+"txm-manual/";
+	public static final String URL_TXMDEPOT = GITLAB+"txm-software/";
+	public static final String HTMLPAGES = URL_TEXTOMETRIE + "html/";
+	public static final String FILESPAGES = URL_TEXTOMETRIE + "files/";
 	
 	public static final String TEXTOMETRIE = "textometrie"; //$NON-NLS-1$
 	public static final String TEXTOMETRIE_DOCS = "textometrie_docs"; //$NON-NLS-1$
@@ -118,38 +121,35 @@
 		String locale = Locale.getDefault().getLanguage();
 		
 		if (TEXTOMETRIE.equals(key)) {
-			if (locale.equals("fr"))
-				return OpenBrowser.openfile(getValidURL("http://textometrie.ens-lyon.fr/?lang="+locale, "http://textometrie.ens-lyon.fr/?lang=en")); //$NON-NLS-1$
-			else 
-				return OpenBrowser.openfile(getValidURL("http://textometrie.ens-lyon.fr/?lang=en", "http://textometrie.ens-lyon.fr/?lang=en")); //$NON-NLS-1$
+			return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale, URL_TEXTOMETRIE)); //$NON-NLS-1$
 		} else if (FAQ.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/faq"); //$NON-NLS-1$
 		} else if (CONTRIB.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/contribuer"); //$NON-NLS-1$
 		} else if (SF_DOCS.equals(key)) {
-			return OpenBrowser.openfile(URL_SFFILES+"documentation"); //$NON-NLS-1$
+			return OpenBrowser.openfile(FILESPAGES+"documentation"); //$NON-NLS-1$
 		} else if (SF.equals(key)) {
-			return OpenBrowser.openfile(URL_SFFILES); //$NON-NLS-1$
+			return OpenBrowser.openfile(FILESPAGES); //$NON-NLS-1$
 		} else if (TEXTOMETRIE_DOCS.equals(key)) {
-			return OpenBrowser.openfile(getValidURL("http://textometrie.ens-lyon.fr/spip.php?rubrique85&lang="+locale, "http://textometrie.ens-lyon.fr/spip.php?rubrique85&lang=en")); //$NON-NLS-1$
+			return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale+"/Documents-référence", URL_TEXTOMETRIE+"/Documents-référence")); //$NON-NLS-1$
 		} else if (TREETAGGER.equals(key)) {
-			return OpenBrowser.openfile(getValidURL(URL_SFWEB+"doc/treetagger/"+locale+"/install.html", URL_SFWEB+"doc/treetagger/en/install.html")); //$NON-NLS-1$ //$NON-NLS-2$
+			return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale+"/InstallTreeTagger/", URL_TEXTOMETRIE+"InstallTreeTagger")); //$NON-NLS-1$ //$NON-NLS-2$
 		} else if (REFMAN.equals(key)) {
-			return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+"html/doc/manual/"+version+"/"+locale+"/manual1.xhtml", 
-					URL_TEXTOMETRIE+"html/doc/manual/"+version+"/en/manual1.xhtml")); //$NON-NLS-1$
+			return OpenBrowser.openfile(getValidURL(URL_TXMMANUAL+locale+"/"+version, 
+					URL_TXMMANUAL+version)); //$NON-NLS-1$
 		} else if (PDFREFMAN.equals(key)) {
-			return OpenBrowser.openfile(URL_TEXTOMETRIE+"files/documentation/Manuel%20de%20TXM%200.8%20FR.pdf"); //$NON-NLS-1$ 
+			return OpenBrowser.openfile(FILESPAGES+"documentation/Manuel%20de%20TXM%200.8%20FR.pdf"); //$NON-NLS-1$ 
 		} else if (BUG.equals(key)) {
 			if (locale.equals("fr")) { //$NON-NLS-1$
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/retours_de_bugs_logiciel"); //$NON-NLS-1$
 			} else {
-				return OpenBrowser.openfile("https://sourceforge.net/p/txm/feature-requests/?source=navbar"); //$NON-NLS-1$
+				return OpenBrowser.openfile(URL_TXMDEPOT+"-/issues"); //$NON-NLS-1$
 			}
 		} else if (FEATURE.equals(key)) {
 			if (locale.equals("fr")) { //$NON-NLS-1$
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/demande_de_fonctionnalites"); //$NON-NLS-1$
 			} else {
-				return OpenBrowser.openfile("http://sourceforge.net/tracker/?group_id=247041&atid=1190851"); //$NON-NLS-1$
+				return OpenBrowser.openfile(URL_TXMDEPOT+"-/issues"); //$NON-NLS-1$
 			}
 		} else if (MAILINGLIST.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/sympa/subscribe/txm-users"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 2828)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 2829)
@@ -49,7 +49,7 @@
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenWelcomePage"; //$NON-NLS-1$
 	
-	public static String WELCOME = "http://textometrie.ens-lyon.fr/html/welcome/";
+	public static String WELCOME = "https://txm.gitpages.huma-num.fr/textometrie/html/welcome/";
 	
 	/*
 	 * (non-Javadoc)
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 2828)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 2829)
@@ -2,12 +2,8 @@
 
 import java.util.Locale;
 
-import org.eclipse.core.runtime.Status;
 import org.osgi.service.prefs.Preferences;
 import org.txm.Toolbox;
-import org.txm.core.engines.Engine;
-import org.txm.core.engines.EngineType;
-import org.txm.utils.logger.Log;
 
 public class TBXPreferences extends TXMPreferences {
 	
@@ -215,7 +211,7 @@
 			preferences.put(UPDATESITE, "file://" + System.getProperty("user.home") + "/workspace047/TXMReleasePlugins.site");
 		}
 		else {
-			preferences.put(UPDATESITE, "http://textometrie.ens-lyon.fr/dist");
+			preferences.put(UPDATESITE, "http://gitlab.textometrie.org/txm/txm-software/-/raw/master/dist/");
 		}
 	}
 }
